small pixel drawing of a pufferfish dotfiles

Add docc helpers
Jes Olson jolson@digitalocean.com
Fri, 19 Nov 2021 12:06:26 -0600
commit

f4916ef6da9914347355c26b8639ed3e5c10fcc1

parent

12f48e4dd06e899e13457f346217f7faba7214db

2 files changed, 28 insertions(+), 0 deletions(-)

jump to
A bin/docc-refresh

@@ -0,0 +1,14 @@

+#!/bin/sh + +app="$1" +contexts="bolt dash dust flux kiwi luca navy nova puff taro vega wolf" + +if [ -z "$app" ]; then + printf "%s\n" "app name required" + exit 1 +fi + +for i in $contexts; do + # vault login + docc --context "$i" update secret-sync -n chef "$app" --secret-auth token,$(cat ~/.vault-token) +done
A bin/docc-restart

@@ -0,0 +1,14 @@

+#!/bin/sh + +app="$1" +contexts="bolt dash dust flux kiwi luca navy nova puff taro vega wolf" + +if [ -z "$app" ]; then + printf "%s\n" "app name required" + exit 1 +fi + +for i in $contexts; do + # vault login + docc --context "$i" -n chef restart "$app" +done